## zfs-linux 0.6.5.8

=== debian/changelog ===
zfs-linux (0.6.5.8-0ubuntu4) yakkety; urgency=low

  [Richard Laager]
  * Remove .py extension from utilities in /usr/sbin as per policy 10.4 Scripts  (LP: #1628279)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 30 Sep 2016 07:47:54 -0400

zfs-linux (0.6.5.8-0ubuntu3) yakkety; urgency=medium

  [ Eric Desrochers ] 
  * Fix zfs services to fail on first boot due to zfs services starting up
    before /etc/mtab has a chance to be symlinked to /proc/mounts. (LP: #1607920)
    (upstream commit 792517389fad5c495a2738b61c2e9c65dedaaa9a)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 29 Sep 2016 16:13:38 +0200

zfs-linux (0.6.5.8-0ubuntu2) yakkety; urgency=medium

  * Use python3 for arcstat.py, arc_summary.py & dbufstat.py (LP: #1627909)
    - update dependency to python3 and set paths to use python3

 -- Colin Ian King <colin.king@canonical.com>  Mon, 26 Sep 2016 18:49:12 -0500

zfs-linux (0.6.5.8-0ubuntu1) yakkety; urgency=medium

  * Sync with upstream 0.6.5.8 release

 -- Colin Ian King <colin.king@canonical.com>  Sat, 10 Sep 2016 16:00:01 +0100

zfs-linux (0.6.5.7-0ubuntu5) yakkety; urgency=medium

  * Change to include some important tools in zfsutils-linux build.  
  - Add tools : arcstat.py, arc_summary.py & dbufstat.py in /usr/sbin.
  - Change utilities path (bindir) to /usr/sbin per
    https://bugs.launchpad.net/ubuntu/+source/zfs-linux/+bug/1574342/comments/6
  - Add python related dependencies (LP: #1574342) 

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 28 Jul 2016 16:22:58 -0400

zfs-linux (0.6.5.7-0ubuntu4) yakkety; urgency=medium

  * Set PATH in cron.d job to fix monthly scrubs. (LP: #1548009)

 -- Richard Laager <rlaager@wiktel.com>  Wed, 06 Jul 2016 22:37:47 -0500

zfs-linux (0.6.5.7-0ubuntu3) yakkety; urgency=medium

  * Drop the Recommends: on zfs-dkms; technically correct but it confuses
    germinate into promoting the real zfs-dkms package when we already have
    a Provides: of this name from the main kernel package that will already
    be installed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jul 2016 11:10:35 -0700

zfs-linux (0.6.5.7-0ubuntu2) yakkety; urgency=medium

  * Minor changes to satisfy MIR request (LP: #1579082)
    [ Richard Laager ]
    - zfs-zed: Version "Replaces: zfsutils-linux" and add versioned
     "Breaks: zfsutils-linux"
    - explicitly specify the man pages so we don't include zed.8
    [ Colin Ian King ]
    - remove root ALL=(ALL) ALL and R_ROOT from
      debian/tree/zfsutils-linux/etc/sudoers.d/zfs. The R_ROOT serves
      no useful purpose, complicates people actually using the sudoers
      file, and pollutes the global namespace
    - add init.d linitan overrides for zfsutils-linux and zfs-zed
      as initscripts will never be used and we will rebase with the
      Debian package initscripts once the package gets accepted by Debian
  [ Richard Laager ]
  * zfs-initramfs: When rootdelay is set, retry the `zpool export` command
    until it stops returning "is busy" (or the rootdelay expires).
    (LP: #1577057)

 -- Colin Ian King <colin.king@canonical.com>  Thu, 26 May 2016 15:28:13 +0100

zfs-linux (0.6.5.7-0ubuntu1) yakkety; urgency=medium

  [ Colin Ian King ]
  * Sync with upstream 0.6.5.7 release
  * Update Debian/control Standards-Version to 3.9.8

 -- Colin Ian King <colin.king@canonical.com>  Tue, 17 May 2016 09:40:01 +0100
