## zfs-linux 0.6.5.9

=== debian/changelog ===
zfs-linux (0.6.5.9-5+sparc64) unreleased; urgency=medium

  * Include build fix for sparc64.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 22 Mar 2017 17:27:48 +0300

zfs-linux (0.6.5.9-5) unstable; urgency=medium

  * Add zfs initramfs conf for root pool setup
    (Closes: #848157, LP: #1673197)

 -- Aron Xu <aron@debian.org>  Sun, 19 Mar 2017 18:14:57 +0800

zfs-linux (0.6.5.9-4) unstable; urgency=medium

  * autopkgtest: load zfs module before running tests

 -- Aron Xu <aron@debian.org>  Tue, 14 Mar 2017 11:38:08 +0800

zfs-linux (0.6.5.9-3) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Updated German debconf translation by Helge Kreutzmann. (Closes: #857528)
  * Updated metadata on a few patches.

  [ Aron Xu ]
  * Cherry-pick upstream fix for merged /usr/lib and /lib
  * Manually maintain adt test Depends

 -- Aron Xu <aron@debian.org>  Mon, 13 Mar 2017 12:23:32 +0800

zfs-linux (0.6.5.9-2) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * fix zed-service-bindir patch

 -- Aron Xu <aron@debian.org>  Tue, 07 Feb 2017 17:22:02 +0800

zfs-linux (0.6.5.9-1) unstable; urgency=medium

  [ Aron Xu ]
  * Imported Upstream version 0.6.5.9 (Closes: #851513)

  [ Lukas Wunner ]
  * Cherry picks for root zpool with dracut (Closes: #849969)
  * Fix installation path of systemd files
  * Fix build breakage caused by nonstandard umask

  [ Fabian Grünbichler ]
  * fix python script install path (Closes: #842237)

 -- Aron Xu <aron@debian.org>  Mon, 06 Feb 2017 15:57:50 +0800

zfs-linux (0.6.5.8-3) unstable; urgency=medium

  * Fix the path on the zfs-zed unit file (Closes: #849813)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Thu, 05 Jan 2017 16:23:16 +0100

zfs-linux (0.6.5.8-2) unstable; urgency=medium

  [ Richard Laager ]
  * Remove .py extension from utilities in /usr/sbin as per policy
    10.4 Scripts (LP: #1628279)

  [ Colin Ian King ]
  * Use python3 for arcstat.py, arc_summary.py & dbufstat.py (LP: #1627909)

  [ Richard Laager ]
  * Set PATH in cron.d job to fix monthly scrubs. (LP: #1548009)

  [ Aron Xu ]
  * Install zed into /usr/sbin
  * Rename zfsutils path to follow the package name
  * Add missing part in python3 move
  * Install zed to /usr/sbin

  [ Petter Reinholdtsen ]
  * Updated Italian debconf translation by Beatrice Torracca.
    (Closes: #846928)
  * Added patch 1003-linux-4.9-compat.patch from upstream to build with
    Linux kernel 4.9. (Closes: #847018)

 -- Aron Xu <aron@debian.org>  Sat, 17 Dec 2016 17:42:21 +0800

zfs-linux (0.6.5.8-1) unstable; urgency=medium

  [ Carlos Alberto Lopez Perez ]
  * Reflow changelog from last upload to avoid lintian warning.

  [ Aron Xu ]
  * Imported Upstream version 0.6.5.8 (Closes: #838192)
  * Conflicts with zutils (Closes: #836853)

  [ Zhou Mo ]
  * Patch: remove merged patches.
  * Upstream renamed zed.service to zfs-zed.service .
  * Avoid installing zfs-zed.service twice.

 -- Aron Xu <aron@debian.org>  Tue, 20 Sep 2016 15:20:21 +0800

zfs-linux (0.6.5.7-2) unstable; urgency=medium

  [ Aron Xu ]
  * Add busybox to zfs-initramfs list of dependencies. (Closes: #824976)

  [ Petter Reinholdtsen ]
  * Updated Danish debconf translation by Joe Hansen. (Closes: #830652)
  * Added Dutch (nl) debconf translation by Frans Spiesschaert.
    (Closes: #832280)
  * Norwegian Bokmål (nb) debconf template translation by Petter Reinholdtsen.

  [ Eric Desrochers ]
  * Change utilities path (bindir) to /usr/sbin. (Closes: #832938)

  [ Carlos Alberto Lopez Perez]
  * Add tunable to ignore hole_birth, and enable it by default.
    (Closes: #830824)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Tue, 16 Aug 2016 17:43:48 +0200
