## zfs-linux 0.6.5.11

=== debian/changelog ===
zfs-linux (0.6.5.11-1ubuntu3.6) artful; urgency=medium

  * Revert previous fix, re-work by checking for
    a container using /run/systemd/container and
    set timeout to zero for zfs list or zpool status
    when running inside a container (LP: #1760173)

 -- Colin Ian King <colin.king@canonical.com>  Thu, 7 Jun 2018 17:25:12 +0100

zfs-linux (0.6.5.11-1ubuntu3.5) artful; urgency=medium

  * Set timeout to zero for zfs list or zpool status
    when running inside a container (LP: #1760173)

 -- Colin Ian King <colin.king@canonical.com>  Thu, 7 Jun 2018 09:55:11 +0100

zfs-linux (0.6.5.11-1ubuntu3.4) artful; urgency=medium

  * Add ZFS 0.7.0 compat fix for zvol_id (LP: #1763067)
    The BLKZNAME ioctl msg size has changed in ZFS 0.7.0 so
    add forwards compat handling for this ioctl by retrying
    with this newer msg size if the first call fails

 -- Colin Ian King <colin.king@canonical.com>  Thu, 12 Apr 2018 11:14:23 +0100

zfs-linux (0.6.5.11-1ubuntu3.3) artful; urgency=medium

  * Fix mmap'd libaio read on non-prefaulted page deadlock (LP: #1754584)
    - Revert previous fix as there still is a potential for deadlock
      on the prefaulted page(s). Resolve the issue by only taking a
      reference on the page when copying it and not the page lock.
      The inode range lock protects against concurrent updates via
      zfs_read() and zfs_write().

 -- Colin Ian King <colin.king@canonical.com>  Wed, 28 Mar 2018 08:56:18 +0100

zfs-linux (0.6.5.11-1ubuntu3.2) artful; urgency=medium

  * Add new module loading systemd service (LP: #1741081)
    - loads zfs module unconditionally, and make the
      zfs-import-cache.service and zfs-import-scan.service services
      require this service.

 -- Colin Ian King <colin.king@canonical.com>  Fri, 2 Mar 2018 11:47:12 +0000

zfs-linux (0.6.5.11-1ubuntu3.1) artful; urgency=medium

  * Add ZFS 0.7.0 kernel ioctl binary compat shim (LP: #1737761)
    Detect ZFS kernel driver version and copy zfs ioctl command to the
    newer ZFS 0.7.0 ioctl command layout.

 -- Colin Ian King <colin.king@canonical.com>  Mon, 19 Feb 2017 13:04:11 +0100

zfs-linux (0.6.5.11-1ubuntu3) artful; urgency=medium

  * Add 4.13 backported patches from ZFS

 -- Colin Ian King <colin.king@canonical.com>  Wed, 9 Aug 2017 12:57:11 +0100

zfs-linux (0.6.5.11-1ubuntu2) artful; urgency=medium

  * Improve cloning performance for large numbers of clones (LP: #1567557)
    Bump zcmd buffer from 16K to 256K.

 -- Colin Ian King <colin.king@canonical.com>  Tue, 8 Aug 2017 17:19:21 +0100

zfs-linux (0.6.5.11-1ubuntu1) artful; urgency=medium

  [ Colin Ian King ]
  * Remove patch 2100-fix-rm-path-in-zfs-share.service.in.patch
    as this is superceeded by 1003-fix-rm-path-in-zfs-share.service.patch
  * Remove 2200-Linux-4.12-compat-super_setup_bdi_name.patch as this is
    now in zfs 0.6.5.11

 -- Colin Ian King <colin.king@canonical.com>  Mon, 7 Aug 2017 10:06:01 +0100

zfs-linux (0.6.5.11-1) unstable; urgency=medium

  [ Aron Xu ]
  * Imported Upstream version 0.6.5.11

  [ Fabian Grünbichler ]
  * fix rm path in zfs-share.service

 -- Aron Xu <aron@debian.org>  Fri, 14 Jul 2017 16:33:23 +0800

zfs-linux (0.6.5.10-1) unstable; urgency=medium

  * Add kernel version to depmod cmd (Closes: #860958)
  * New upstream version 0.6.5.10

 -- Aron Xu <aron@debian.org>  Wed, 05 Jul 2017 18:11:39 +0800
