## zfs-linux 0.7.3

=== debian/changelog ===
zfs-linux (0.7.3-3+devuan1) unstable; urgency=medium

  [ KatolaZ ]
  * patched to include initscripts
  * amended gbp.conf
  * small mistake in debian/rules
  * staging version 0.6.5.9-5+devuan1
  * corrected an error (link) in arch-indep packages
  * corrected another error (link) in arch-indep packages
  * version 0.6.5.9-5+devuan1.1
  * creating suite suites/ascii-backports


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 19 Dec 2017 20:18:54 +0000

zfs-linux (0.7.3-3) unstable; urgency=medium

  [ Antonio Russo ]
  * Add maximum version dependency on spl-dkms (Closes: #883008)

 -- Aron Xu <aron@debian.org>  Thu, 30 Nov 2017 00:34:30 +0800

zfs-linux (0.7.3-2) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * d/rules: remove obsolete calls to dpkg-architecture (Closes: #882209)
  * zfs-test: add proper Breaks+Replaces (Closes: #880902)
  * build: add implicit version to dh_makeshlibs (Closes: #880709)

  [ Aron Xu ]
  * Depend on matching version of spl-dkms (Closes: ##881013)

 -- Aron Xu <aron@debian.org>  Tue, 28 Nov 2017 16:16:34 +0800

zfs-linux (0.7.3-1) unstable; urgency=medium

  [ Antonio Russo ]
  * Refresh manual builds DKMS prevention patch

  [ Fabian Grünbichler ]
  * zfs-test package
  * add files to debian/not-installed
  * dh_install: switch to --fail-missing
  * add new files from 0.7 to install
  * dkms: build icp module as well

  [ Antonio Russo ]
  * dracut: make module-setup.sh shebang explicit
  * add man page reference to systemd units
  * Fix install path of zpool.d scripts
  * Incorporate DebianPT.org Portuguese translation
  * Fix typo in debconf templates
  * Drop dependency on dh-systemd

  [ Aron Xu ]
  * Drop merged patches, update remainders
  * Update std-ver to 4.1.1
  * New upstream version 0.7.3
  * Update debconf pot file
  * Update control.in for dh-systemd deprecation
  * Add lintian override for zfs-test

  [ Colin King ]
  * Improve cloning performance for large numbers of clones (LP: #1567557)
    Bump zcmd buffer from 16K to 256K.

 -- Aron Xu <aron@debian.org>  Tue, 31 Oct 2017 18:52:01 +0800

zfs-linux (0.6.5.9-5+devuan1.1) unstable; urgency=medium

  [ KatolaZ ]
  * corrected an error (link) in arch-indep packages
  * corrected another error (link) in arch-indep packages


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 18 Dec 2017 01:28:57 +0000

zfs-linux (0.6.5.9-5+devuan1) unstable; urgency=medium

  [ KatolaZ ]
  * patched to include initscripts
  * amended gbp.conf
  * small mistake in debian/rules


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 18 Dec 2017 00:46:24 +0000
