=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
+Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            Petter Reinholdtsen <pere@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>
 Build-Depends: dh-autoreconf,
-               dh-systemd,
+               dh-systemd | debhelper (>= 10.1),
                autotools-dev,
                debhelper (>= 9),
                dkms (>> 2.1.1.2-5),
@@ -21,7 +20,7 @@
                dh-python,
                libblkid-dev,
                libattr1-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.zfsonlinux.org/
 Vcs-Git: git://anonscm.debian.org/pkg-zfsonlinux/zfs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-zfsonlinux/zfs.git
@@ -88,7 +87,7 @@
 
 Package: zfs-dkms
 Architecture: all
-Pre-Depends: spl-dkms (>= ${source:Upstream-Version})
+Pre-Depends: spl-dkms (>= ${source:Upstream-Version}), spl-dkms (<<${source:Upstream-Version}.)
 Depends: dkms (>> 2.1.1.2-5), lsb-release, ${misc:Depends}
 Recommends: zfsutils-linux, zfs-zed
 Provides: zfs-modules
@@ -104,7 +103,7 @@
 Architecture: all
 Depends: initramfs-tools,
  busybox-initramfs | busybox-static | busybox,
- zfsutils-linux,
+ zfs-modules | zfs-dkms, zfsutils-linux,
  ${misc:Depends}
 Description: OpenZFS root filesystem capabilities for Linux - initramfs
  The Z file system is a pooled filesystem designed for maximum data
@@ -116,7 +115,7 @@
 
 Package: zfs-dracut
 Architecture: all
-Depends: dracut, zfsutils-linux, ${misc:Depends}
+Depends: dracut, zfs-modules | zfs-dkms, zfsutils-linux, ${misc:Depends}
 Description: OpenZFS root filesystem capabilities for Linux - dracut
  The Z file system is a pooled filesystem designed for maximum data
  integrity, supporting data snapshots, multiple copies, and data
@@ -129,7 +128,7 @@
 Section: contrib/admin
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3
-Recommends: lsb-base, zfs-zed
+Recommends: lsb-base, zfs-modules | zfs-dkms, zfs-zed
 Suggests: nfs-kernel-server, samba-common-bin (>= 3.0.23), zfs-initramfs | zfs-dracut
 Conflicts: zfs, zfs-fuse, zutils
 Provides: zfsutils
@@ -144,13 +143,28 @@
 Package: zfs-zed
 Section: contrib/admin
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}, zfsutils-linux
+Depends: ${misc:Depends}, ${shlibs:Depends}, zfs-modules | zfs-dkms, zfsutils-linux
 Description: OpenZFS Event Daemon
  The Z file system is a pooled filesystem designed for maximum data
  integrity, supporting data snapshots, multiple copies, and data
  checksums.
  .
  This package provides the OpenZFS Event Daemon (zed).
+
+Package: zfs-test
+Section: contrib/admin
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends}, zfs-modules | zfs-dkms, zfsutils-linux, parted, lsscsi, mdadm, bc, ksh, fio, acl, sudo, sysstat, python
+Breaks: zfsutils-linux (<= 0.6.5.11-1)
+Replaces: zfsutils-linux (<= 0.6.5.11-1)
+Description: OpenZFS test infrastructure an support scripts
+ The Z file system is a pooled filesystem designed for maximum data
+ integrity, supporting data snapshots, multiple copies, and data
+ checksums.
+ .
+ This package provides the OpenZFS test infrastructure for destructively
+ testing and validating a system using OpenZFS. It is entirely optional
+ and should only be installed and used in test environments.
 
 Package: zfs-dbg
 Section: contrib/debug
